Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "2140e897-3abf-4645-89c5-7d5cc2b804a7",
"user_id": "7d5b416e-1270-4e67-9391-263b4d02e3bb",
"user_planning_slot_type_id": "c12e02a0-92ea-428b-9d2f-7b3bf25a1c59",
"date_from": "2026-11-08T11:10:13.8978846+00:00",
"date_to": "2026-11-08T11:10:13.8978846+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-11-08T11:10:13.8978846+00:00"
}